#==============================================================================
#
# PE64.Py Functions List:
#
#==============================================================================
#
# GotoErr
#   Parse C error line.
#
#==============================================================================

import win32gui
import win32con


#==============================================================================
#
#   Parse C error line
#   Pick off filename (and line number if it exists)
#      and open that file (at that line number).
#
def GotoErr():

    prova = str(pe32)   # solo cosi' funziona anche la seconda volta!!!
    lin = pe32.Line

    start = 0
    i = lin.find(">")
    if ( i > 0 ):
        start = i+1

    end = start
    i = lin.find("(")
    if ( i > 0 ):
        end = i

    if ( end-start > 0 ):
        file = lin[start:end]
#        win32gui.MessageBox(0, "File " + file, "GotoErr",  win32con.MB_OK)

        start = end+1

        end = start
        i = lin.find(")")
        if ( i > 0 ):
            end = i

        row = 0
        if ( end-start > 0 ):
            line = lin[start:end]
            row = int(line)
#            win32gui.MessageBox(0, "Line " + line, "GotoErr",  win32con.MB_OK)

        if ( row <= 0 ):
            row = 1

        pe32.Command("e \"" + file + "\"")   # Edit filename
        pe32.Command("line " + str(row))     # at line number

    return 0

